﻿using Microsoft.AspNetCore.Mvc.Filters;

namespace QuickMasterRazor.Filters
{
    public class MyLogAttribute : ResultFilterAttribute
    {
        private readonly string _tag;
        public MyLogAttribute(string tag)
        {
            _tag = tag;
        }
        public override void OnResultExecuted(ResultExecutedContext context)
        {
            Console.WriteLine($"【{_tag}】OnResultExecuted: {context.ActionDescriptor.DisplayName}");
        }
        public override void OnResultExecuting(ResultExecutingContext context)
        {
            Console.WriteLine($"【{_tag}】OnResultExecuting: {context.ActionDescriptor.DisplayName}");
        }

    }
}
