﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;
using QuickMasterRazor.Models;

namespace QuickMasterRazor.Pages.Books
{
    public class CreateModel : PageModel
    {
        private readonly QuickMasterRazor.Models.MyContext _context;

        public CreateModel(QuickMasterRazor.Models.MyContext context)
        {
            _context = context;
        }

        public SelectList PubOptions { get; set; }

        public IActionResult OnGet()
        {
            var list = _context.Book
                .Select(b => new { Publisher = b.Publisher })
                .Distinct();
            PubOptions = new SelectList(list, "Publisher", "Publisher");
            return Page();
        }

        [BindProperty]
        public Book Book { get; set; }


        // To protect from overposting attacks, see https://aka.ms/RazorPagesCRUD
        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return Page();
            }

            //        var b = new Book();

            //        if (await TryUpdateModelAsync<Book>(
            //            b,
            //            "book",
            //            b => b.Title,
            //// b => b.Price,
            //            b => b.Publisher,
            //            b => b.Sample
            //         ))
            //        {
            //            _context.Book.Add(b);
            //            await _context.SaveChangesAsync();
            //            return RedirectToPage("./Index");
            //        }
            //        return Page();

            _context.Book.Add(Book);
            await _context.SaveChangesAsync();

            return RedirectToPage("./Index");
        }
    }
}
