﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using QuickMasterRazor.Models;

namespace QuickMasterRazor.Pages.Books
{
    public class DetailsModel : PageModel
    {
        private readonly QuickMasterRazor.Models.MyContext _context;

        public DetailsModel(QuickMasterRazor.Models.MyContext context)
        {
            _context = context;
        }

      public Book Book { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null || _context.Book == null)
            {
                return NotFound();
            }

            var book = await _context.Book.FirstOrDefaultAsync(m => m.Id == id);
            if (book == null)
            {
                return NotFound();
            }
            else
            {
                Book = book;
            }
            return Page();
        }

        public async Task<IActionResult> OnGetLogAsync(int? id)
        {
            Console.WriteLine("Log Handler is called.");
            return await OnGetAsync(id);
        }
    }
}
