﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using QuickMasterRazor.Models;

namespace QuickMasterRazor.ViewComponents
{
    public class ListViewComponent : ViewComponent
    {
        private readonly MyContext _context;

        public ListViewComponent(MyContext context)
        {
            _context = context;
        }

        public async Task<IViewComponentResult> InvokeAsync(int price)
        {
            return View(await _context.Book
            .Where(b => b.Price >= price).ToListAsync());
        }
    }
}
